package com.gx.obe.action.listener;

import org.eclipse.swt.core.CallBackListener;
import org.eclipse.swt.widgets.Composite;

/**
 * @Description: 封装IEAction类
 * @author guoyr
 */
public interface IEAction{
	
	public void action(CallBackListener action);
	
	/**
	 * @Description: 获取界面面板
	 * @author guoyr
	 * @return
	 */
	public Composite getComposite();
	
	/**
	 * @Description: 根据key获取数据
	 * @author guoyr
	 * @param key
	 * @return
	 */
	public Object getData(String key);
	
	public void setData(String key, Object object);
	
	/**
	 * @Description: 设置父面板
	 * @author guoyr
	 * @param parent
	 */
	public void setParent(Composite parent);

	/**
	 * @Description: 执行action方法
	 * @author guoyr
	 */
	public void run();
}
