package com.gx.obe.action.bean;

import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.listener.ActionListener;

public abstract class CAction extends Action {
	
	@Override
	public void run() {
		ActionListener listener = this.getListener();
		listener.onLoad(this);
		listener.loadComposite(this, initComposite(listener.getParentComposite()));
	}
	
	protected abstract Composite initComposite(Composite parent);
	
}
