package com.gx.obe.action.bean;

import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.component.rx.RxSwt;

public abstract class FAction<T> extends Action {
	
	@Override
	public void run() {
		ActionListener listener = this.getListener();
		listener.onLoad(this);
		RxSwt.run(this::supply).checkWidget(listener.getParentComposite()).exe(this::loadComposite);
	}
	
	private void loadComposite(T t) {
		ActionListener listener = this.getListener();
		listener.loadComposite(this, consume(listener.getParentComposite(), t));
	}
	
	protected abstract T supply();
	
	protected abstract Composite consume(Composite parent, T t);
	
}
