package com.gx.obe.action.listener;

import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;

/**
 * @Description: 公共的action监听接口
 * @author guoyr
 */
public interface ActionListener{

	/**
	 * @Description: 重载监听
	 * @author guoyr
	 */
	public void onLoad(Action action); 
	
	/**
	 * @Description: 面板加载监听
	 * @author guoyr
	 * @param action
	 * @param composite
	 */
	public void loadComposite(Action action, Composite composite);

	/**
	 * @Description: 获取父级面板
	 * @author guoyr
	 * @return
	 */
	public Composite getParentComposite();
}
